# Generated by Django 3.2.12 on 2022-04-14 17:42

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('djspoofer', '0014_remove_fingerprint_proxy'),
    ]

    operations = [
        migrations.CreateModel(
            name='IPFingerprint',
            fields=[
                ('oid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('city', models.CharField(max_length=32)),
                ('country', models.CharField(max_length=2)),
                ('isp', models.CharField(max_length=32)),
                ('last_ip', models.GenericIPAddressField(blank=True, null=True)),
            ],
            options={
                'db_table': 'djspoofer_ip_fingerprint',
                'ordering': ['-created'],
            },
        ),
        migrations.RemoveIndex(
            model_name='fingerprint',
            name='fp_device_category_index',
        ),
        migrations.RemoveIndex(
            model_name='fingerprint',
            name='fp_platform_index',
        ),
        migrations.RemoveIndex(
            model_name='fingerprint',
            name='fp_browser_index',
        ),
        migrations.RemoveIndex(
            model_name='tlsfingerprint',
            name='tls_fp_browser_index',
        ),
        migrations.AddIndex(
            model_name='fingerprint',
            index=models.Index(fields=['browser'], name='fp_browser'),
        ),
        migrations.AddIndex(
            model_name='fingerprint',
            index=models.Index(fields=['device_category'], name='fp_device_category'),
        ),
        migrations.AddIndex(
            model_name='fingerprint',
            index=models.Index(fields=['platform'], name='fp_platform'),
        ),
        migrations.AddIndex(
            model_name='tlsfingerprint',
            index=models.Index(fields=['browser'], name='tls_fp_browser'),
        ),
        migrations.AddIndex(
            model_name='ipfingerprint',
            index=models.Index(fields=['last_ip'], name='ip_fp_last_ip'),
        ),
        migrations.AddField(
            model_name='fingerprint',
            name='ip_fingerprint',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='fingerprints', to='djspoofer.ipfingerprint'),
        ),
    ]
